<%@ Control Language="C#" ClassName="MyRatingsSummaryWebPart" %>
<%@ Implements Interface="System.Web.UI.WebControls.WebParts.IWebPart" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="ChooseYourStory.Web.Controls" %>
<%@ Register Assembly="ChooseYourStory" Namespace="ChooseYourStory.Web.Controls" TagPrefix="cys" %>
<script runat="server">
	protected override void OnLoad(EventArgs e)
	{
		if (!Page.User.Identity.IsAuthenticated) throw new UnauthorizedAccessException();
		
		using (SqlCommand cmd = new SqlCommand())
		{
			cmd.Connection = new SqlConnection(ConfigurationManager.ConnectionStrings["ChooseYourStory"].ConnectionString);
			cmd.CommandText = "User_MyStuff_GetRatingsSummary";
			cmd.CommandType = CommandType.StoredProcedure;
			cmd.Parameters.Add("@Username", SqlDbType.VarChar, 30).Value = Page.User.Identity.Name;
			
			SqlDataReader dr = null;
			try
			{
				cmd.Connection.Open();
				dr = cmd.ExecuteReader();

				ratings.DataSource = dr;
				ratings.DataBind();
			}
			finally
			{
				if (dr!=null) dr.Close();
				cmd.Connection.Close();
			}
		}
		
		if (Height != Unit.Empty) 
		{
			containerDiv.Style.Add("height", Height.ToString());
			containerDiv.Style.Add(HtmlTextWriterStyle.Overflow, "auto");
		} 
	}
</script>
<script runat="server" id="IWebPart">
  
	private Unit _Height = Unit.Empty;
	[Personalizable(PersonalizationScope.User)]
	public Unit Height
	{
		get { return _Height; }
		set { _Height = value; }
	}
	
	private string m_Title = "Ratings Summary";
	public string Title { get { return m_Title; } set { m_Title = value; } }

	public string Description
  {
		get { return "Displays a summary of ratings."; }
    set { throw new NotImplementedException(); }
  }

  public string Subtitle { get { return string.Empty; }}
  public string TitleIconImageUrl { get { return string.Empty;} set {} }
	public string TitleUrl { get { return string.Empty; } set { } }
	public string CatalogIconImageUrl { get { return string.Empty; } set { } }	
</script>
<div runat="server" id="containerDiv">
<table cellpadding="2" cellspacing="0" border="0" >
	<tr>
		<th align="left">Storygame</th>
		<th align="left" style="border-width:0px; border-left-width:1px; border-style:solid;" class="dark1border">Rating</th>
		<th align="left" style="border-width:0px; border-left-width:1px; border-style:solid;" class="dark1border">#&nbsp;Ratings</th>
		<th align="left" style="border-width:0px; border-left-width:1px; border-style:solid;" class="dark1border">Last&nbsp;Rated</th>
	</tr>
<asp:Repeater runat="server" ID="ratings">
	<ItemTemplate>
		<tr>
			<td style="border-width:0px; border-top-width:1px; border-style:solid;" class="dark1border"><cys:StorygameLink runat="server" StoryTitle='<%#Eval("Story_Title") %>' /></td>
			<td style="border-width:0px; border-left-width:1px; border-top-width:1px; border-style:solid;" class="dark1border" align="center"><%#(Eval("Ratings_Average") == DBNull.Value) ? "" : Eval("Ratings_Average").ToString()%></td>
			<td style="border-width:0px; border-left-width:1px; border-top-width:1px; border-style:solid;" class="dark1border" align="center"><%#Eval("Ratings_Count")%></td>
			<td style="border-width:0px; border-left-width:1px; border-top-width:1px; border-style:solid;" class="dark1border" align="center"><%#(Eval("Last_Rated_Date")==DBNull.Value)?"":((DateTime)Eval("Last_Rated_Date")).ToShortDateString()%></td>
		</tr>
	</ItemTemplate>
</asp:Repeater>
</table>
</div>